Description

Attached is a sample of a real island with landuse polygon downloaded from the OSM API, or rather from
http:/gis.stackexchange.com/questions/104599/0sm2pgsqgl-missing-coordinates. It gets loaded with the OSM plugin, but incomplete
using "Add Vector Layer", as shown in the attached screenshot.

The reason is that the nodes are not sorted in the input file. No error message is given in the protocol, some nodes are silently dropped.
If I transform the file with ogr2ogr, | get the message "ERROR 1: Non increasing node id. Use OSM_USE_CUSTOM_INDEXING=NO" If
| use that as environment variable (not -Ico!), it works for ogr2ogr. But QGIS does not offer that method in an easy way.

So | suggest to set this variable internally when using the GDAL osm driver.
According to OSM expert Paul Norman in

http://gis.stackexchange.com/questions/103547/how-to-complete-the-roads-output-of-postgis/103599#103599 the OSM API does not
guarantee the nodes in an ordered way, so QGIS has to take care on its own about it.

History

#1 - 2014-07-17 05:11 AM - Giovanni Manghi

- Category set to Vectors

- OS version deleted (7)

- Operating System deleted (Windows)

- Target version deleted (Future Release - High Priority)

- Status changed from Open to Feedback

- Crashes QGIS or corrupts data changed from Yes to No
is tis related with this

#8878

and this

#8037

#2 - 2014-07-17 08:56 AM - Andre Joost

Giovanni Manghi wrote:

is this related with this
http://gis.stackexchange.com/questions/104599/osm2pgsql-missing-coordinates
http://gis.stackexchange.com/questions/103547/how-to-complete-the-roads-output-of-postgis/103599#103599

#8878

and this

#8037 ?

No, those are pitfalls for the OSM plugin. My test case fails for the Add Vector Layer data provider, based on the GDAL OSM driver.

#3 - 2014-10-11 01:24 PM - Giovanni Manghi
- Status changed from Feedback to Open
- Tracker changed from Bug report to Feature request

#4 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

Files
osmpolygons.osm 4.81 KB 2014-07-12 Andre Joost
osmpolygons.png 6.88 KB 2014-07-12 Andre Joost
